<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Admin_Students extends Controller_Environment_Admin
{
    public function action_index() {
        $this->twig->set([
            'Faculties' => Model_Faculties::load(),
            'Grades'    => Model_Grades::toStructuredArray(),
        ])->set_filename('admin/students/index');
    }

    public function action_add() {
        $this->twig->set([
            'Faculties' => Model_Faculties::load(),
            'Grades'    => Model_Grades::toStructuredArray(),
        ])->set_filename('admin/students/add');
    }

    public function action_upload() {
        $result['Success'] = false;

        if (!empty($_FILES['students']) && $this->request->method() == 'POST') {
            $file = $_FILES["students"]["tmp_name"];
            $result = FileParser::StudentsList($file, $_POST['facultyID']);
        }

        $this->twig->set([
            'UploadingResult' => $result,
            'Faculties'       => Model_Faculties::load(),
        ])->set_filename('admin/students/upload');
    }

    public function action_edit() {
        $this->twig->set_filename('admin/students/edit');
    }
}
            